package com.ruoyi.ems.mapper;

import java.util.List;

import com.ruoyi.ems.domain.AdmEmsElecBoxIndex;

/**
 * 动力箱指标Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-03
 */
public interface AdmEmsElecBoxIndexMapper {
    /**
     * 查询动力箱指标
     *
     * @param id 动力箱指标主键
     * @return 动力箱指标
     */
    public AdmEmsElecBoxIndex selectAdmEmsElecBoxIndexById(Long id);

    AdmEmsElecBoxIndex selectElecBoxLatestIndexByBoxCode(String boxCode);

    /**
     * 查询动力箱指标列表
     *
     * @param admEmsElecBoxIndex 动力箱指标
     * @return 动力箱指标集合
     */
    public List<AdmEmsElecBoxIndex> selectAdmEmsElecBoxIndexList(AdmEmsElecBoxIndex admEmsElecBoxIndex);

    /**
     * 新增动力箱指标
     *
     * @param admEmsElecBoxIndex 动力箱指标
     * @return 结果
     */
    public int insertAdmEmsElecBoxIndex(AdmEmsElecBoxIndex admEmsElecBoxIndex);

    /**
     * 修改动力箱指标
     *
     * @param admEmsElecBoxIndex 动力箱指标
     * @return 结果
     */
    public int updateAdmEmsElecBoxIndex(AdmEmsElecBoxIndex admEmsElecBoxIndex);

    /**
     * 删除动力箱指标
     *
     * @param id 动力箱指标主键
     * @return 结果
     */
    public int deleteAdmEmsElecBoxIndexById(Long id);

    /**
     * 批量删除动力箱指标
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAdmEmsElecBoxIndexByIds(Long[] ids);
}
